=== debian/changelog ===
node-zipfile (0.2.4+ds1-1) unstable; urgency=low

  * Initial release (Closes: #646395)

 -- David Paleino <dapal@debian.org>  Sun, 23 Oct 2011 22:33:32 +0200
