=== debian/control ===
Source: node-zipfile
Section: libdevel
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 8~)
 , dh-buildinfo
 , nodejs-dev
 , libzip-dev
 , pkg-config
Standards-Version: 3.9.2
Homepage: http://github.com/springmeyer/node-zipfile
Vcs-Git: git://git.debian.org/collab-maint/node-zipfile.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-zipfile.git;a=summary

Package: node-zipfile
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
 , nodejs
Description: library for handling zipfiles in NodeJS
 node-zipfile is a C++ module for handling zipfiles in NodeJS.
