=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

UPVER := $(shell dpkg-parsechangelog | grep ^Version | cut -d\  -f2 | cut -d- -f1 | cut -d+ -f1)

%:
	dh $@

override_dh_install:
	dh_install
	dh_buildinfo

override_dh_auto_configure:
	node-waf configure --shared-libzip

override_dh_auto_build:
	node-waf build --shared-libzip

override_dh_auto_clean:
	node-waf clean distclean --shared-libzip

override_dh_auto_test:

override_dh_auto_install:
	node-waf install --destdir=$(CURDIR)/debian/tmp/ --shared-libzip

override_dh_shlibdeps:
	dpkg-shlibdeps \
		-T$(CURDIR)/debian/node-zipfile.substvars \
		$(CURDIR)/debian/node-zipfile/usr/lib/nodejs/zipfile/_zipfile.node

override_dh_strip:
	strip \
		--remove-section=.comment \
		--remove-section=.note \
		--strip-unneeded \
		$(CURDIR)/debian/node-zipfile/usr/lib/nodejs/zipfile/_zipfile.node

get-orig-source:
	uscan \
		--verbose \
		--download-version $(UPVER) \
		--force-download \
		--destdir . \
		--rename
	tar xvf node-zipfile_$(UPVER).orig.tar.gz
	# removing embedded libzip
	rm -rf package/deps
	rm -rf package/.gitignore
	tar cf node-zipfile_$(UPVER)+ds1.orig.tar package/
	gzip -9 node-zipfile_$(UPVER)+ds1.orig.tar
	rm -rf package/ node-zipfile_$(UPVER).orig.tar.gz
