=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds\d// \
https://alioth.debian.org/~dapal/npmjs.php?id=zipfile \
	http://registry.npmjs.org/zipfile/-/zipfile-(\d+.*)\.tgz
