=== wscript ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 TARGET = '_zipfile'
 TARGET_FILE = '%s.node' % TARGET
-built = 'build/default/%s' % TARGET_FILE
+built = 'build/Release/%s' % TARGET_FILE
 dest = 'lib/%s' % TARGET_FILE
 settings = 'lib/settings.js'
 BUNDLED_LIBZIP_VERSION = '0.10'
@@ -153,7 +153,7 @@
 def build(bld):
     obj = bld.new_task_gen("cxx", "shlib", "node_addon", install_path=None)
     build_libzip()
-    obj.cxxflags = ["-DNDEBUG", "-O3", "-g", "-Wall", "-D_FILE_OFFSET_BITS=64", "-D_LARGEFILE_SOURCE"]
+    obj.cxxflags = ["-I../include/","-DNDEBUG", "-O3", "-g", "-Wall", "-D_FILE_OFFSET_BITS=64", "-D_LARGEFILE_SOURCE"]
     obj.target = TARGET
     obj.source = "src/_zipfile.cc"
     obj.source += " src/node_zipfile.cpp"
@@ -167,7 +167,8 @@
 
 def clean_libzip():
     if not Options.options.shared_libzip:
-      rmtree('deps/%s' % BUNDLED_LIBZIP)
+      if os.path.exists('deps/%s' % BUNDLED_LIBZIP):
+          rmtree('deps/%s' % BUNDLED_LIBZIP)
 
 def clean(bld):
     pass # to avoid "Nothing to clean (project not configured)" error
