=== debian/changelog ===
node-zipfile (0.3.1+ds1-1) unstable; urgency=low

  * New upstream version
  * Add B-D on libuv-dev
  * Bump dependency on Node >= 0.6
  * Bump Standards-Version to 3.9.3, no changes needed
  * Updated debian/copyright

 -- David Paleino <dapal@debian.org>  Sat, 14 Apr 2012 23:26:44 +0200
