=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Build-Depends:
  debhelper (>= 8~)
  , dh-buildinfo
- , nodejs-dev
+ , nodejs-dev (>= 0.6)
  , libzip-dev
  , pkg-config
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://github.com/springmeyer/node-zipfile
 Vcs-Git: git://git.debian.org/collab-maint/node-zipfile.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/node-zipfile.git;a=summary
@@ -19,6 +19,6 @@
 Depends:
  ${shlibs:Depends}
  , ${misc:Depends}
- , nodejs
+ , nodejs (>= 0.6)
 Description: library for handling zipfiles in NodeJS
  node-zipfile is a C++ module for handling zipfiles in NodeJS.
