## node-zipfile 0.4.0%2Bds1

=== debian/control ===
Source: node-zipfile
Section: libdevel
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
 Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper (>= 9~)
 , dh-buildinfo
 , node-gyp
 , libzip-dev
Standards-Version: 3.9.4
Homepage: http://github.com/springmeyer/node-zipfile
Vcs-Git: git://anonscm.debian.org/collab-maint/node-zipfile.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-zipfile.git

Package: node-zipfile
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
 , nodejs
Description: library for handling zipfiles in Node.js
 node-zipfile is a C++ module for handling zipfiles in Node.js.
 .
 Node.js is an event-based server-side javascript engine.
