=== debian/changelog ===
node-zipfile (0.4.0+ds1-1) unstable; urgency=low

  * New upstream version
  * Loosen dependency on nodejs
  * Build using node-gyp instead of node-waf
  * Remove pkg-config from Build-Depends, not needed by node-gyp
  * Further repackaging: remove test data, and keep deps/*.gypi
  * Update copyright, fix Source field, explain repackaging
  * Canonicalize Vcs fields
  * Standards-Version 3.9.4
  * Use dh 9 for hardening
  * Watch github, mangle version

 -- Jérémy Lal <kapouer@melix.org>  Fri, 30 Aug 2013 15:32:59 +0200
