## node-zipfile 0.5.0+ds

=== debian/changelog ===
node-zipfile (0.5.0+ds-1build1) wily; urgency=medium

  * No-change rebuild for libzip soname change

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Sep 2015 01:31:35 +0000

node-zipfile (0.5.0+ds-1) unstable; urgency=medium

  * New upstream version
  * Install zipfile.node only to get rid of node-pre-gyp dependency.
  * Build-Depends pkg-config, fix configure flags (Closes: #741748).
  * copyright:
    + add new owner for 2014
    + use Excluded-Files section

 -- Jérémy Lal <kapouer@melix.org>  Sun, 16 Mar 2014 23:07:53 +0100
