=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
  , dh-buildinfo
  , node-gyp
  , libzip-dev
-Standards-Version: 3.9.4
+ , pkg-config
+Standards-Version: 3.9.5
 Homepage: http://github.com/springmeyer/node-zipfile
 Vcs-Git: git://anonscm.debian.org/collab-maint/node-zipfile.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-zipfile.git
