=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-zipfile-$1.tar.gz/,dversionmangle=s/\+ds[\d]*$// \
https://github.com/springmeyer/node-zipfile/tags .*/archive/v?([\d\.]+).tar.gz
