## node-zipfile 0.5.11+ds

=== debian/changelog ===
node-zipfile (0.5.11+ds-2ubuntu1) bionic; urgency=medium

  * Fix quoting for autopkgtest >= 5.2

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 27 Mar 2018 14:58:11 +0000

node-zipfile (0.5.11+ds-2build2) bionic; urgency=medium

  * No-change rebuild against nodejs-abi-57.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 17 Feb 2018 18:12:30 -0600

node-zipfile (0.5.11+ds-2build1) artful; urgency=medium

  * No-change rebuild to pick up nodejs-abi-48

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 18 Aug 2017 15:16:31 +0000

node-zipfile (0.5.11+ds-2) unstable; urgency=medium

  * Stick to how upstream installs files

 -- Jérémy Lal <kapouer@melix.org>  Wed, 21 Dec 2016 10:52:25 +0100

node-zipfile (0.5.11+ds-1) unstable; urgency=medium

  * New upstream version 0.5.11+ds (Closes: #802351)
  * Patch package.json to fix binding load path
  * Build-Depends mocha, node-pre-gyp
  * Depends node-pre-gyp
  * Run tests during build
  * Copyright for world mercator test data, and keep
    those test files in tarball
  * Enable autopkgtests
  * Standards-Version 3.9.8
  * Secure Vcs url
  * Use dh nodejs
  * Use repacksuffix
  * Properly install module with package.json

 -- Jérémy Lal <kapouer@melix.org>  Tue, 20 Dec 2016 16:46:19 +0100
