=== debian/control ===
Source: node-zipfile
Section: libdevel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
 Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper (>= 9~)
 , dh-buildinfo
 , node-gyp
 , node-pre-gyp
 , node-nan
 , nodejs-dev
 , mocha
 , libzip-dev
 , pkg-config
Standards-Version: 3.9.8
Homepage: http://github.com/springmeyer/node-zipfile
Vcs-Git: https://anonscm.debian.org/git/collab-maint/node-zipfile.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/node-zipfile.git
Testsuite: autopkgtest

Package: node-zipfile
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
 , node-pre-gyp
 , nodejs
Description: library for handling zipfiles in Node.js
 node-zipfile is a C++ module for handling zipfiles in Node.js.
 .
 Node.js is an event-based server-side javascript engine.
