=== debian/tests/control ===
Test-Command: nodejs -e "require('zipfile');"
Depends: @
