=== debian/changelog ===
node-zipfile (0.5.12+ds-4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:51:42 +0100

node-zipfile (0.5.12+ds-4) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Add upstream/metadata
  * Use pkg-js-tools auto install
  * Enable upstream test
  * Add fix for Node.js ≥ 12 (reported)
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Sat, 25 Jan 2020 08:30:48 +0100

node-zipfile (0.5.12+ds-3) unstable; urgency=medium

  * Build against libnode-dev
  * Use https homepage
  * Standards-Version 4.3.0
  * Use Test-Command for autopkgtest (Closes: #894959)

 -- Jérémy Lal <kapouer@melix.org>  Mon, 07 Jan 2019 10:13:04 +0100

node-zipfile (0.5.12+ds-2) unstable; urgency=medium

  * Team upload
  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Wed, 22 Aug 2018 10:48:57 +0530

node-zipfile (0.5.12+ds-1) experimental; urgency=medium

  * Team upload
  * New upstream version 0.5.12+ds
  * Bump Standards-Version to 4.2.0 (no changes needed)
  * Bump debhelper compatibility level to 11
  * Use salsa.debian.org in Vcs-* fields
  * Tighten dependency on node-pre-gyp

 -- Pirate Praveen <praveen@debian.org>  Mon, 20 Aug 2018 12:35:27 +0530
