=== debian/control ===
Source: node-zipfile
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
 Jérémy Lal <kapouer@melix.org>
Testsuite: autopkgtest-pkg-nodejs
Build-Depends:
 debhelper-compat (= 12)
 , libnode-dev
 , libzip-dev
 , mocha <!nocheck>
 , node-gyp (>= 3.8.0-2)
 , node-nan
 , node-pre-gyp (>= 0.10.2~)
 , pkg-config
 , pkg-js-tools (>= 0.9.20~)
Standards-Version: 4.5.0
Homepage: https://github.com/springmeyer/node-zipfile
Vcs-Git: https://salsa.debian.org/js-team/node-zipfile.git
Vcs-Browser: https://salsa.debian.org/js-team/node-zipfile
Rules-Requires-Root: no

Package: node-zipfile
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
 , node-pre-gyp (>= 0.10.2~)
 , nodejs
Description: library for handling zipfiles in Node.js
 node-zipfile is a C++ module for handling zipfiles in Node.js. It provides
 bindings to libzip, whis is a C library for reading, creating, and modifying
 zip archives..
 .
 Node.js is an event-based server-side javascript engine.
