=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with nodejs

override_dh_install:
	dh_install
	chmod 644 $(CURDIR)/debian/node-zipfile/usr/lib/*/nodejs/zipfile/lib/binding/zipfile.node

override_dh_auto_configure:
	node-gyp configure --shared_libzip=true \
		--shared_libzip_includes=`pkg-config libzip --cflags-only-I | sed s/-I//g` \
		--module_name=zipfile --module_path="$(CURDIR)/lib/binding"

override_dh_auto_build:
	node-gyp build
